Skip to main content
Security & Audit/ZMetis Audit

ListZmetisAudits

List zmetis audit events with server-side row authorization and stable pagination

GET/api/v1/zmetis/audits

Operation ID

ListZmetisAudits

Since

1.2.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • requestId
    String

    Request identifier used to correlate or filter records

  • sourceModule
    String

    Source module used to filter audit records

  • action
    String

    Action type used to filter the results

  • rpcMethod
    String

    RPC method name used to filter audit records

  • result
    String

    Optional result filter: running, success, failure, or denied

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • uuid
      String

      Unique identifier of the audit event.

      Example: value

    • requestId
      String

      Request id for this resource

      Example: value

    • sourceModule
      String

      Source module for this resource

      Example: value

    • action
      String

      Action for this resource

      Example: value

    • rpcMethod
      String

      Rpc method for this resource

      Example: value

    • result
      String

      Audit result: running for an active asynchronous attempt, success, failure, or denied

      Example: running

    • resourceType
      String

      Resource type for this resource

      Example: value

    • resourceUuid
      String

      Resource uuid for this resource

      Example: value

    • resourceName
      String

      Resource name for this resource

      Example: value

    • actorId
      String

      Actor id for this resource

      Example: value

    • actorName
      String

      Actor name for this resource

      Example: value

    • clientIp
      String

      Client ip for this resource

      Example: value

    • errorCode
      String

      Error code for this resource

      Example: value

    • errorMessage
      String

      Error message for this resource

      Example: value

    • metadata
      Object

      Metadata key-value pairs

      Example: (nested object)

    • startedAt
      String

      Started at for this resource

      Example: 2026-01-15T08:00:00Z

    • finishedAt
      String

      Finished at for this resource

      Example: 2026-01-15T08:00:00Z

    • durationMs
      String

      Duration ms for this resource

      Example: 10

    • createdAt
      String

      Created at for this resource

      Example: 2026-01-15T08:00:00Z

  • total
    String

    Total for this resource

    Example: 10

  • limit
    Integer

    Limit for this resource

    Example: 10

  • offset
    Integer

    Offset for this resource

    Example: 10